Loading...
Searching...
No Matches
XrdCl::PrepareFlags Struct Reference

Prepare flags. More...

`#include <XrdClFileSystem.hh>`

Collaboration diagram for XrdCl::PrepareFlags:

## Public Types

enum | Flags { None = 0 , Colocate = kXR_coloc , Fresh = kXR_fresh , Stage = kXR_stage , WriteMode = kXR_wmode , Cancel = kXR_cancel , Evict = kXR_evict << 8 }

## Detailed Description

Prepare flags.

Definition at line 173 of file XrdClFileSystem.hh.

## Member Enumeration Documentation

## Flags

enum XrdCl::PrepareFlags::Flags

Enumerator
None | no flags
Colocate | co-locate staged files, if possible
Fresh | refresh file access time even if the location is known
Stage | stage the file to disk if it is not online
WriteMode | the file will be accessed for modification
Cancel | cancel staging request
Evict | evict the file from disk cache we have to shift kXR_evict as its value is the same as cancel's because this flag goes to options extension

Definition at line 175 of file XrdClFileSystem.hh.

{
None = 0,
Colocate = kXR_coloc,
Fresh = kXR_fresh,
Stage = kXR_stage,
WriteMode = kXR_wmode,
Cancel = kXR_cancel,
Evict = kXR_evict << 8
};
kXR_wmode
@ kXR_wmode
Definition XProtocol.hh:591
kXR_evict
@ kXR_evict
Definition XProtocol.hh:596
kXR_cancel
@ kXR_cancel
Definition XProtocol.hh:587
kXR_fresh
@ kXR_fresh
Definition XProtocol.hh:593
kXR_coloc
@ kXR_coloc
Definition XProtocol.hh:592
kXR_stage
@ kXR_stage
Definition XProtocol.hh:590
XrdCl::PrepareFlags::None
@ None
no flags
Definition XrdClFileSystem.hh:177
XrdCl::PrepareFlags::Fresh
@ Fresh
Definition XrdClFileSystem.hh:179
XrdCl::PrepareFlags::Stage
@ Stage
Definition XrdClFileSystem.hh:181
XrdCl::PrepareFlags::WriteMode
@ WriteMode
Definition XrdClFileSystem.hh:183
XrdCl::PrepareFlags::Cancel
@ Cancel
cancel staging request
Definition XrdClFileSystem.hh:185
XrdCl::PrepareFlags::Evict
@ Evict
Definition XrdClFileSystem.hh:186
XrdCl::PrepareFlags::Colocate
@ Colocate
co-locate staged files, if possible
Definition XrdClFileSystem.hh:178

The documentation for this struct was generated from the following file:

- XrdClFileSystem.hh